Summary: Automatically disable system default route on a specific date
Name: system-autodeath
Version: 0.3
Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Base
Source: http://skvidal.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
Source1: system-autodeath.conf
URL: http://skvidal.fedorapeople.org/%{name}/
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArchitectures: noarch
Requires: /etc/cron.daily
Requires: vixie-cron, util-linux-ng, bc, iproute

%description
system-autodeath is a cron job that runs daily, checking the current  
time versus a configured death date for the machine. Within one week
of this date the system will emit log notices to syslog.alert notifying
that the system will remove its default network route on a specific date. 
On the date the system will have its default route deleted. It 
will continue to do this every day until someone does something about it.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/system-autodeath.conf

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc README COPYING
%{_sysconfdir}/cron.daily/system-autodeath.sh
%config %{_sysconfdir}/sysconfig/system-autodeath.conf
%{_mandir}/man8/system-autodeath.*

%changelog
* Wed Sep 16 2009 Seth Vidal <skvidal at fedoraproject.org>
- bump to 0.3 to remove silly files left over inside tarball

* Fri Sep  4 2009 Seth Vidal <skvidal at fedoraproject.org>
- bump date and rebuild for f12

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Seth Vidal <skvidal at fedoraproject.org>
- specific system-autodeath.conf

* Mon Nov  3 2008 Seth Vidal <skvidal at fedoraproject.org>
- update description
- add conf file as alternative source

* Thu Oct 30 2008 Seth Vidal <skvidal at fedoraproject.org>
- more fedora-ization
- frelling changelog version numbers can sod off :)

* Thu Oct 30 2008 Seth Vidal <skvidal at fedoraproject.org>
- fedoraize spec file - bump to 2

* Thu Sep 18 2008 Seth Vidal <skvidal at fedoraproject.org>
- First spec file for system-autodeath

